import { NextApiResponse } from "next";
import { z } from "zod";
export type ValueOf<T> = T[keyof T];
export type OrPromise<T> = T | Promise<T>;
export declare function returnError(res: NextApiResponse, part: "QUERY" | "BODY", errors?: unknown): void;
export type RawType<T> = T extends z.ZodType ? z.infer<T> : T;
